.TH "siggen::ScopedLog" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::ScopedLog \- RAII class for logging entry on construction and exit on destruction\&.  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <Logging\&.h>\fP
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "\fBScopedLog\fP (char const *file, int line, char const *fn)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "const char * \fBm_File\fP"
.br
.ti -1c
.RI "int \fBm_Line\fP"
.br
.ti -1c
.RI "const char * \fBm_Func\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
RAII class for logging entry on construction and exit on destruction\&. 
.PP
Definition at line 72 of file Logging\&.h\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
